Package org.codehaus.groovy.runtime.callsite

# Class CallSiteClassLoader

java.lang.Object
java.lang.ClassLoader
org.codehaus.groovy.reflection.ClassLoaderForClassArtifacts
org.codehaus.groovy.runtime.callsite.CallSiteClassLoader

    public class CallSiteClassLoader
    extends ClassLoaderForClassArtifacts

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.reflection.ClassLoaderForClassArtifacts

  `klazz`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CallSiteClassLoader​(Class klazz)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected Class` | `loadClass​(String name, boolean resolve)` |

  ### Methods inherited from class org.codehaus.groovy.reflection.ClassLoaderForClassArtifacts

  `createClassName, createClassName, define, defineClassAndGetConstructor, loadClass`

  ### Methods inherited from class java.lang.ClassLoader

  `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findClass, findLibrary, findLoadedClass, findResource, findResource, findResources, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CallSiteClassLoader

    public CallSiteClassLoader​(Class klazz)

- ## Method Details

  - ### loadClass

    protected Class loadClass​(String name, boolean resolve) throws ClassNotFoundException
    Overrides:
      `loadClass` in class `ClassLoader`
    Throws:
      `ClassNotFoundException`